# Real0

### Import List

        ConvTypes

Type Summary
[ConvResults] = ConvResults
[ScanClass] = ScanClass
[ScanState] = ScanState

Procedure Summary
FormatForEng(VAR ARRAY OF CHAR)
FormatForFixed(VAR ARRAY OF CHAR, INTEGER)
FormatReal(ARRAY OF CHAR, LONGINT, ARRAY OF CHAR): ConvResults
NormalizeFloat(VAR ARRAY OF CHAR)
ScanReal(CHAR, VAR ScanClass, VAR ScanState)

Variable Summary
E-: ScanState
F-: ScanState
P-: ScanState
RS-: ScanState
SE-: ScanState
SR-: ScanState
WE-: ScanState

Constant Summary
expChar

Type Detail

### ConvResults

    TYPE [ConvResults] = ConvResults

### ScanClass

    TYPE [ScanClass] = ScanClass

### ScanState

    TYPE [ScanState] = ScanState

Procedure Detail

### FormatForEng

    PROCEDURE FormatForEng(VAR s: ARRAY OF CHAR)

### FormatForFixed

    PROCEDURE FormatForFixed(VAR s: ARRAY OF CHAR;
                             place: INTEGER)

### FormatReal

    PROCEDURE FormatReal(str: ARRAY OF CHAR;
                         maxExp: LONGINT;
                         maxValue: ARRAY OF CHAR): ConvResults

### NormalizeFloat

    PROCEDURE NormalizeFloat(VAR s: ARRAY OF CHAR)

### ScanReal

    PROCEDURE ScanReal(inputCh: CHAR;
                       VAR chClass: ScanClass;
                       VAR nextState: ScanState)

Variable Detail

### E

    VAR E-: ScanState

### F

    VAR F-: ScanState

### P

    VAR P-: ScanState

### RS

    VAR RS-: ScanState

### SE

    VAR SE-: ScanState

### SR

    VAR SR-: ScanState

### WE

    VAR WE-: ScanState

Constant Detail

### expChar

    CONST expChar